> For the complete documentation index, see [llms.txt](https://docs.talsec.app/freerasp/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.talsec.app/freerasp/freerasp/wiki/threat-detection/unsecure-wifi-detection-android-only.md).

# Unsecure WiFi detection \[Android only]

Unsecure Wi‑Fi describes a situation where a device is connected to an open or poorly protected wireless network (for example an open hotspot, weak WPA, or a rogue access point), allowing an attacker to observe, intercept, or alter the device’s traffic and network behavior so the OS and apps communicate over an untrusted link.

Attackers can use unsecured Wi‑Fi to perform man‑in‑the‑middle attacks such as:

* Eavesdrop on unencrypted traffic to harvest credentials and session cookies
* Hijack or replay active sessions to gain unauthorized access
* Present forged or untrusted certificates to perform HTTPS interception

{% hint style="warning" %}
Open network **could be** considered as safe, if VPN is enabled as well. [You can detect active VPN using freeRASP](/freerasp/freerasp/wiki/threat-detection/system-vpn-detection.md).
{% endhint %}

Below are code snippets demonstrating unsecure wifi detection across various platforms:

```dart
// Android unsecure wifi detection
override fun onUnsecureWifiDetected() {
    TODO("Not yet implemented")
}

// Flutter unsecure wifi detection
onUnsecureWifi: () => print("Multi instance detected")

// Cordova unsecure wifi detection
unsecureWifi: () => {
    // Place your reaction here
}

// React Native unsecure wifi detection
unsecureWifi: () => {
    // Place your reaction here
}

// Capacitor unsecure wifi detection
unsecureWifi: () => {
    // Place your reaction here
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.talsec.app/freerasp/freerasp/wiki/threat-detection/unsecure-wifi-detection-android-only.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
